# DataStructures::Queue< queue_type > Class Template Reference

A queue implemented as an array with a read and write index. More...

`#include <DS_Queue.h>`

List of all members.

## Detailed Description

### template<class queue_type>
class DataStructures::Queue< queue_type >

A queue implemented as an array with a read and write index.

The documentation for this class was generated from the following file:

- C:/RakNet/Source/DS_Queue.h